<?php

define('THEME_FRAMEWORK','wpdadthemes');

/*-----------------------------------------------------------------------------------*/
/* Add default options and show Options Panel after activate  */
/*-----------------------------------------------------------------------------------*/
$pagenow = '';
if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {

	//Call action that sets
	add_action('admin_head','wpdad_option_setup');
	
	//Do redirect
	header( 'Location: '.admin_url().'admin.php?page=wpdadthemes' ) ;
	
}

function wpdad_option_setup(){

	//Update EMPTY options
	$wpdad_array = array();
	add_option('wpdad_options',$wpdad_array);

	$template = get_option('wpdad_template');
	$saved_options = get_option('wpdad_options');
	
	foreach($template as $option) {
		if($option['type'] != 'heading'){
			$id = $option['id'];
			$std = $option['std'];
			$db_option = get_option($id);
			if(empty($db_option)){
				if(is_array($option['type'])) {
					foreach($option['type'] as $child){
						$c_id = $child['id'];
						$c_std = $child['std'];
						update_option($c_id,$c_std);
						$wpdad_array[$c_id] = $c_std; 
					}
				} else {
					update_option($id,$std);
					$wpdad_array[$id] = $std;
				}
			}
			else { //So just store the old values over again.
				$wpdad_array[$id] = $db_option;
			}
		}
	}
	update_option('wpdad_options',$wpdad_array);
}

/*-----------------------------------------------------------------------------------*/
/* Admin Backend */
/*-----------------------------------------------------------------------------------*/
function wpdadthemes_admin_head() { 
	
	//Tweaked the message on theme activate
	?>
    <script type="text/javascript">
    jQuery(function(){
    	
        var message = '<p>This <strong>WPdad</strong> comes with a <a href="<?php echo admin_url('admin.php?page=wpdadthemes'); ?>">comprehensive options panel</a>. This theme also supports widgets, please visit the <a href="<?php echo admin_url('widgets.php'); ?>">widgets settings page</a> to configure them.</p>';
    	jQuery('.themes-php #message2').html(message);
    
    });
    </script>
    <?php
    
    //Setup Custom Navigation Menu
	if (function_exists('wpdad_custom_navigation_setup')) {
		wpdad_custom_navigation_setup();
	}
	
}

add_action('admin_head', 'wpdadthemes_admin_head'); 




?>